import Vue from "vue";
import 'ant-design-vue/dist/antd.less';
// import "@/style/antd-variables.less";
import {
    Layout,
    ConfigProvider,
    Input,
    InputNumber,
    Tabs,
    Table,
    Pagination,
    Menu,
    Form,
    Button,
    Breadcrumb,
    Icon,
    Tree,
    Timeline,
    message,
    result,
    Modal,
    Popover,
    Row,
    Col,
    Select,
    Popconfirm,
    Tooltip,
    Tag,
    Drawer,
    Divider,
    DatePicker,
    Upload,
    Radio,
    Badge,
    Carousel,
    Collapse,
    Spin
} from "ant-design-vue";
Vue.use(Spin);
Vue.use(Layout);
Vue.use(ConfigProvider);
Vue.use(Collapse);
Vue.use(Input);
Vue.use(InputNumber);
Vue.use(Tabs);
Vue.use(Table);
Vue.use(Pagination);
Vue.use(Menu);
Vue.use(Form);
Vue.use(Button);
Vue.use(Breadcrumb);
Vue.use(Icon);
Vue.use(Tree);
Vue.use(Timeline);
try {
    // Vue.use(result);
}catch (e){
    console.log(e);
}

Vue.use(Modal);
Vue.use(Popover);
Vue.use(Row);
Vue.use(Col);
Vue.use(Select);
Vue.use(Popconfirm)
Vue.use(Tooltip)
Vue.use(Tag)
Vue.use(Drawer)
Vue.use(Divider)
Vue.use(DatePicker)
Vue.use(Upload)
Vue.use(Radio)
Vue.use(Badge)
Vue.use(Carousel)
Vue.prototype.$form = Form;
Vue.prototype.$message = message;
Vue.prototype.$info = Modal.info;
Vue.prototype.$success = Modal.success;
Vue.prototype.$confirm = Modal.confirm;
Vue.prototype.$error = Modal.error;
